> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soludesks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination And Filtering

> Use pagination, search, and resource filters in SoluDesks API list endpoints.

List endpoints return paginated data by default.

```json theme={null}
{
  "data": {
    "paginator": {
      "count": 42,
      "page": 1,
      "page_size": 20,
      "total_pages": 3,
      "next": "https://staging.api.soludesks.com/v1/external/learnhub/courses?page=2",
      "next_page_number": 2,
      "previous": null,
      "previous_page_number": null
    },
    "results": []
  }
}
```

## Common Query Parameters

| Parameter | Description                                                      |
| --------- | ---------------------------------------------------------------- |
| `page`    | Page number.                                                     |
| `size`    | Page size.                                                       |
| `search`  | Case-insensitive search term where the endpoint supports search. |

## Resource Filters

Some endpoints support additional filters such as course status, source, level, category, lesson type, upload type, and upload status. Use the API reference for the exact parameters supported by each endpoint.

```bash theme={null}
curl "https://staging.api.soludesks.com/v1/external/learnhub/courses?search=onboarding" \
  -H "Authorization: Bearer YOUR_API_KEY"
```
